Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Interface IdentifierCompletor

- Interface for classes that complete identifier tokens within a groovy Statement (Class, variable, keyword, method, ...) Similar to JLine Completor, but adapted for usage in GroovySyntaxCompletor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `complete(List<GroovySourceToken> tokens, List<CharSequence> candidates)` @param tokens List of tokens, non empty, last token is an identifier token, previous token is not a dot

- - ### Method Detail

    - #### boolean complete(List<GroovySourceToken> tokens, List<CharSequence> candidates)

      Parameters:
        `tokens` - List of tokens, non empty, last token is an identifier token, previous token is not a dot
        candidates
      Returns: